classification
Title: Azure Pipelines jobs failing randomly with: Unable to connect to azure.archive.ubuntu.com
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, steve.dower, vstinner
Priority: normal Keywords:

Created on 2020-04-04 22:19 by vstinner, last changed 2020-04-30 22:42 by vstinner. This issue is now closed.

Messages (3)
msg365798 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-04 22:19
Example:

https://github.com/python/cpython/pull/19375/checks?check_run_id=561058404
of https://github.com/python/cpython/pull/19375

The Install Dependencies step failed with:

 sudo ./.github/workflows/posix-deps-apt.sh && sudo apt-get install wamerican
(...)
Err:1 http://azure.archive.ubuntu.com/ubuntu bionic/universe amd64 lcov all 1.13-3
  Could not connect to azure.archive.ubuntu.com:80 (52.177.174.250), connection timed out [IP: 52.177.174.250 80]
Err:2 http://azure.archive.ubuntu.com/ubuntu bionic/main amd64 libgdbm-dev amd64 1.14.1-6
  Unable to connect to azure.archive.ubuntu.com:http: [IP: 52.177.174.250 80]
(..)
Err:15 http://azure.archive.ubuntu.com/ubuntu bionic-updates/main amd64 uuid-dev amd64 2.31.1-0.4ubuntu3.6
  Unable to connect to azure.archive.ubuntu.com:http: [IP: 52.177.174.250 80]
Get:5 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 libsqlite3-dev amd64 3.22.0-1ubuntu0.3 [632 kB]
Fetched 632 kB in 1min 1s (10.5 kB/s)
E: Failed to fetch http://azure.archive.ubuntu.com/ubuntu/pool/universe/l/lcov/lcov_1.13-3_all.deb  Could not connect to azure.archive.ubuntu.com:80 (52.177.174.250), connection timed out [IP: 52.177.174.250 80]
E: Failed to fetch http://azure.archive.ubuntu.com/ubuntu/pool/main/g/gdbm/libgdbm-dev_1.14.1-6_amd64.deb  Unable to connect to azure.archive.ubuntu.com:http: [IP: 52.177.174.250 80]
(...)
E: Failed to fetch http://azure.archive.ubuntu.com/ubuntu/pool/main/u/util-linux/uuid-dev_2.31.1-0.4ubuntu3.6_amd64.deb  Unable to connect to azure.archive.ubuntu.com:http: [IP: 52.177.174.250 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
##[error]Process completed with exit code 100.
msg365856 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-04-06 13:38
I wonder why the "install wamerican" didn't go into the script? It should at least get the same options as in the script to make sure it doesn't break the install.

Maybe we should make our own mirror of Ubuntu so that we don't have to depend on a massive company with billions of users to get it right for us? :o)
msg367794 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-30 22:42
I didn't see the issue recently. Moreover, Brett asked me to report Azure issues to https://github.com/python/core-workflow/ instead. So I close this issue.
History
Date User Action Args
2020-04-30 22:42:02vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg367794

stage: resolved
2020-04-06 13:38:04steve.dowersetmessages: + msg365856
2020-04-06 13:35:40steve.dowersetpull_requests: - pull_request18743
2020-04-05 00:05:22BTaskayasetkeywords: - patch
stage: patch review -> (no value)
2020-04-05 00:04:49BTaskayasetkeywords: + patch
nosy: + BTaskaya

pull_requests: + pull_request18743
stage: patch review
2020-04-04 22:20:36vstinnersettitle: Azure Pipelines jobs failing randomy with: Unable to connect to azure.archive.ubuntu.com -> Azure Pipelines jobs failing randomly with: Unable to connect to azure.archive.ubuntu.com
2020-04-04 22:19:43vstinnercreate